List transfer recipients
curl --request GET \
--url https://api.usebila.com/api/v1/bila/transfer-recipients \
--header 'x-api-key: <api-key>'import requests
url = "https://api.usebila.com/api/v1/bila/transfer-recipients"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.usebila.com/api/v1/bila/transfer-recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation completed successfully",
"data": {
"data": [
{
"id": "68f11209-451f-4a15-bfcd-d916eb8b09f4",
"type": "bank-account",
"accountName": "John Doe",
"country": "zm",
"createdAt": "2024-01-15T10:30:00Z",
"accountNumber": "1234567890",
"bankId": "bank-001",
"bankName": "Zambia National Commercial Bank",
"phone": "0977123456",
"operator": "airtel"
}
],
"meta": {
"total": 150,
"perPage": 50,
"currentPage": 1,
"pageCount": 3
}
}
}Transfer Recipients
List transfer recipients
Retrieve a paginated list of saved transfer recipients
GET
/
api
/
v1
/
bila
/
transfer-recipients
List transfer recipients
Authorizations
Merchant API key (e.g., sk_live_xxx or sk_test_xxx)
Query Parameters
Page number (default: 1)
Required range:
x >= 1Example:
1
Items per page (default: 50)
Required range:
1 <= x <= 100Example:
50
Filter by recipient type
Available options:
bank-account, mobile-money Was this page helpful?
⌘I
